<template name="regionSelectionWrap">
	{{#if hasMultipleRegions}}
		{{#if Template.subscriptionsReady}}
			{{#if state 'searchingRegions'}}
				{{> regionSelection inNavbar=inNavbar}}
			{{else}}
				{{> regionSelectionDisplay inNavbar=inNavbar}}
			{{/if}}
		{{/if}}
	{{/if}}
</template>

<template name="regionSelection">
	<li class="region-selection {{inNavbarClasses}}">
		<form class="d-flex js-region-search-form" tabindex="0">
			<div
				 class="input-group input-group-outline {{#if isSplash}}is-splash{{else}}input-group-sm p-2 mt-2{{/if}}">
				<span class="input-group-text"><span class="fa-solid fa-location-dot"
						  aria-hidden="true"></span></span>
				<input class="form-control js-region-search {{#if currentRegionName}} fw-bold {{/if}}"
					   type="text"
					   value="{{#if currentRegionName}}{{currentRegionName}}{{else}}{{i18n 'menue.All regions' 'All regions'}}{{/if}}">
				<input class="d-none" type="submit">
				<button class="btn dropdown-toggle" data-bs-toggle="dropdown" role="button"
						aria-expanded="false" tabindex="-1"></button>
				<ul class="dropdown-menu dropdown-menu-end mx-2" role="menu">
					<li class="dropdown-header dropdown-legend">
						<div class="dropdown-addon-right">
							<span class="badge bg-primary rounded-pill"
								  title="{{i18n 'regionSelection.legend.numCoursesTitle' 'Number of courses' attr=true}}">
								# <i class="fa-solid fa-circle"></i>
							</span>
							<span class="badge bg-success text-dark rounded-pill"
								  title="{{i18n 'regionSelection.legend.numEventsTitle' 'Number of upcoming events' attr=true}}">
								# <i class="fa-solid fa-calendar"></i>
							</span>
						</div>
						{{i18n 'regionSelection.legend.region' 'Region'}}
					</li>
					<li>
						<a href="#" class="dropdown-item js-region-link js-nav-dropdown-close"
						   title="{{i18n 'menue.All regions' attr=true}}">
							<div class="dropdown-addon-right">
								<span class="badge bg-primary rounded-pill"
									  title="{{i18n 'regions.allCourses.title' '{COUNT, plural, =0{no courses} one{one course} other{# courses} } on {SITENAME}' COUNT=allCourses SITENAME=siteName attr=true}}">
									{{allCourses}}
								</span>
								<span class="badge bg-success text-dark rounded-pill"
									  title="{{i18n 'regions.allUpcomingEvents.title' '{COUNT, plural, =0{no upcoming events} one{one upcoming event} other{# upcoming events} } on {SITENAME}' COUNT=allUpcomingEvents SITENAME=siteName attr=true}}">
									{{allUpcomingEvents}}
								</span>
							</div>
							{{#if isCurrentRegion 'all'}}
								<span class="checkmark fa-solid fa-check"></span>
								<span
									  class="fw-bold">{{i18n 'menue.All regions' 'All regions'}}</span>
							{{else}} {{i18n 'menue.All regions' 'All regions'}}
							{{/if}}
						</a>
					</li>
					{{#if state 'showAllRegions'}}
						{{! here follows the "long" version, all regions that the user has access to }}
						{{#each region in allRegions}}
							{{> regionSelectionItem region}}
						{{/each}}
						{{#if aboutLink}}
							<li>
								<hr class="dropdown-divider">
							</li>
							<li>
								<a class="dropdown-item" href="{{aboutLink}}">
									<span class="fa-solid fa-circle-info" aria-hidden="true"></span>
									{{i18n 'regionSelection.aboutLink' 'About regions'}}
								</a>
							</li>
						{{/if}}
					{{else}}
						{{! here follows the "short" version, only some regions are shown }}
						{{#each region in notAllRegions}}
							{{> regionSelectionItem region}}
						{{/each}}
						{{#if hasMoreRegions}}
							<li>
								<hr class="dropdown-divider">
							</li>
							<li>
								<button class="btn btn-link js-show-all-regions" type="button">
									{{i18n 'regionSelection.showAll' 'Show all regions'}}
								</button>
							</li>
						{{/if}}
					{{/if}}
				</ul>
			</div>
		</form>
	</li>
</template>

<template name="regionSelectionItem">
	<li class="{{private}}">
		<a href="#"
		   class="dropdown-item js-region-link js-nav-dropdown-close {{#if isCurrentRegion _id}}fw-bold{{/if}}"
		   title="{{nameEn}}">
			<div class="dropdown-addon-right">
				<span class="badge bg-primary rounded-pill"
					  title="{{i18n 'regions.courses.title' '{COUNT, plural, =0{no courses} one{one course} other{# courses in} } in {REGION}' COUNT=courseCount REGION=this.name attr=true}}">
					{{courseCount}}
				</span>
				<span class="badge bg-success text-dark rounded-pill"
					  title="{{i18n 'regions.eventCount.title' '{COUNT, plural, =0{no upcoming events} one{one upcoming event} other{# upcoming events} } in {REGION}' COUNT=futureEventCount REGION=this.name attr=true}}">
					{{futureEventCount}}
				</span>
			</div>
			{{#if isCurrentRegion _id}}
				<span class="checkmark fa-solid fa-check"></span>
			{{/if}}
			{{regionNameMarked}}
		</a>
	</li>
</template>

<template name="regionSelectionDisplay">
	<li class="{{inNavbarClasses}}">
		<a class="navbar-link js-region-selection-display">
			{{#if currentRegionName}}
				{{currentRegionName}}
			{{else}}
				{{i18n 'menue.All regions' 'All regions'}}
			{{/if}}
		</a>
	</li>
</template>
